using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Windows.Forms;
using log4net;
using log4net.Config;

namespace RmSplit
{
    static class RmSplitProgram
    {
        private static readonly ILog log = LogManager.GetLogger(typeof(RmSplitProgram));

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            XmlConfigurator.Configure();
            log.Info("Initializing RMSplit Program");
            try
            {
                Application.EnableVisualStyles();
                Application.SetCompatibleTextRenderingDefault(false);
                Application.Run(new RmSplitForm());
            }
            catch (Exception e)
            {
                log.Error("RmSplit exited with error", e);
            }
        }
    }
}
